
TYPO3.Neos - Bug # 32492

Status: Resolved Priority: Must have
Author: Markus Goldbeck Category:
Created: 2011-12-13 Assigned To:
Updated: 2011-12-15 Due date:
Subject: Creating an admin with ./flow3 setup:createadministrator
Description

Currently it is not possible to create an admin.

./flow3 setup:createadministrator admin password
Created account "admin".
Uncaught Exception
  An instance of "TYPO3\TYPO3\Domain\Model\User" failed to pass validation
  with 1 error(s): 
  name:
  This property is required.

More Information
  Exception code      #1322585164
  File               
/Applications/MAMP/htdocs/PhoenixCore/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/TYPO3_FLOW3_Persistence_Doctrine_PersistenceManager_Original.php line 124
  Exception reference #201112131023183a7577

3_Persistence_Doctrine_PersistenceManager_Original.php line 124
  Exception reference #201112131023183a7577

After deleting the Annotation * @FLOW3\Validate(type="NotEmpty") in /TYPO3.Party/Classes/Domain/Model/Person.php it worked.

So it seems something to do with Validation

Associated revisions
Revision e5d8e3d4 - 2011-12-13 14:19 - Christian Müller

[BUGFIX] Add first name and last name to setup command

Persons are validated to have a name, that should be reflected
in the setup command controller. The command has now 4 required
parameters. identifier, password, firstName and lastName.

Fixes: #32492

Change-Id: I7ad96716010574fef5d5b1a0e47ecdb20f79ce38

History
#1 - 2011-12-13 10:45 - Karsten Dambekalns
- Priority changed from Should have to Must have

Yes, with that validation rule in place the command needs to set a name on that user.
#2 - 2011-12-13 14:19 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7240

#3 - 2011-12-15 16:06 - Christian Müller
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e5d8e3d4b17ce3e99289e9abd15707c23868e925.
